Package uk.ac.starlink.topcat

## Class BooleanColumnRowSubset

- java.lang.Object
- - uk.ac.starlink.topcat.RowSubset
  - - uk.ac.starlink.topcat.BooleanColumnRowSubset

-     public class BooleanColumnRowSubset
      extends RowSubset

  A RowSubset implementation based on a boolean column of a StarTable.

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.topcat.RowSubset

      `ALL, NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanColumnRowSubset​(uk.ac.starlink.table.StarTable startab, int icol)` | Constructs a row subset from a given StarTable and column index.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumnIndex()` | Returns the index of the column in the table on which this subset's contents are based.
    `uk.ac.starlink.table.StarTable` | `getTable()` | Returns the table from whose column this subset is based.
    `boolean` | `isIncluded​(long lrow)` | Indicates whether a given row is in the subset or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.RowSubset

      `getName, setName, toString`

- - ### Constructor Detail

    - #### BooleanColumnRowSubset

          public BooleanColumnRowSubset​(uk.ac.starlink.table.StarTable startab,
                                        int icol)

      Constructs a row subset from a given StarTable and column index.
      Parameters:
        `startab` - the table
        `icol` - the index of the column in that table
      Throws:
        `java.lang.IllegalArgumentException` - if the content class of the table column is not Boolean

  - ### Method Detail

    - #### isIncluded

          public boolean isIncluded​(long lrow)

      Description copied from class: `RowSubset`
      Indicates whether a given row is in the subset or not.
      Specified by:
        `isIncluded` in class `RowSubset`
      Parameters:
        `lrow` - the index of the row in question
      Returns:
        `true` iff row `lrow` is to be included

    - #### getTable

          public uk.ac.starlink.table.StarTable getTable()

      Returns the table from whose column this subset is based.
      Returns:
        table

    - #### getColumnIndex

          public int getColumnIndex()

      Returns the index of the column in the table on which this subset's contents are based.
      Returns:
        column index

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.